package remote_http

import (
	"ai-gateway/common/dto"
	"context"
)

type aiApi interface {
	Completions(ctx context.Context, prompt, groupId string) (*dto.AiRes, error)
}

var AiApi aiApi = new(aiApiImpl)
var AiOpenRouter aiApi = new(aiRouterImpl)
