package repository

import "context"

type thirdUserTokenRepository interface {
	FindByToken(ctx context.Context, token string) *GLoginToken

	FindByUid(ctx context.Context, uid uint64) *GLoginToken

	SaveUserLoginToken(ctx context.Context, data *GLoginToken) error

	UpdateUserLoginToken(ctx context.Context, data *GLoginToken) error
}

var GUserToken thirdUserTokenRepository = new(thirdUserTokenRepositoryImpl)
